API referenceEndpoints
Register FCM endpoint
POST
bearerAuthheader
AuthorizationBearer <API key>Project API key (cr_sk_...)
external_user_id*stringapplication/json- body
channel?"push"Default
"push"Value in
"push"provider?stringWhen omitted, android defaults to fcm and ios defaults to apns. Use fcm with ios for Firebase Messaging tokens.
Value in
"fcm""apns"address*stringFCM registration token or APNs device token
platform*stringValue in
"android""ios"metadata?For APNs include apns_environment (sandbox or production)
Created
application/json- response
endpoint_id?stringFormat
uuidcontact_id?stringFormat
uuidchannel?stringprovider?stringplatform?stringcurl -X POST 'https://api.comraid.io/contacts/string/endpoints' \ -H 'Content-Type: application/json' \ -d '{ "address": "string", "platform": "android"}'Example Response
{ "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "channel": "string", "provider": "string", "platform": "string"}